Skip to navigation

Get Order

This endpoint retrieves an incomplete individual order by token. Note: Order details are only retained in this temporary format for up to 60 minutes. If an order token expires or has a payment captured against it, it can no longer be retrieved from this endpoint. To retrieve a completed payment along with its associated order details, see Get Payment By Token.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

environmentstringRequired

Use api-sandbox for AU/NZ, or api.us-sandbox for US.

tokenstringRequired
The token of the order to be retrieved.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Response

If an order belonging to the authenticated merchant account is found, returns the order details in response. Fields that were not included in the original Create Order request may not be included in any corresponding Get Order request.

AttributeTypeDescription
expiresstringThe UTC timestamp of when the order token will expire, in ISO 8601 format.
tokenstringOrder token to be used to complete payment.
totalAmountMoneyTotal amount for order to be charged to consumer.
consumerConsumerThe consumer requesting the order.
billingContactBilling address.
shippingContactShipping address.
courierShipping CourierShipping courier details.
descriptionstringA description of the order.
merchant.redirectConfirmUrlstringThe consumer is redirected to this URL on confirmation.
merchant.redirectCancelUrlstringThe consumer to redirected to this URL if the payment process is cancelled.
paymentTypestring"PAY_BY_INSTALLMENT"
merchantReferencestringThe merchant's id/reference that this order corresponds to.
itemsItemAn array of order items.
discountsDiscountAn array of discounts.
shippingAmountMoneyThe shipping amount.
taxAmountMoneyThe included tax amount after applying all discounts.

Errors

404
Not Found Error